import React from 'react'
import { InertiaLink } from '@inertiajs/inertia-react'
import Layout from '@/Shared/Layout'

const Forms = data => {
  const forms = data.forms

  return (
    <div className='table-panel'>
      <div className='table-panel__header'>
        <InertiaLink
          className='btn btn-dark'
          href={route('eventpal.forms.create')}
        >
          <i className='fas fa-plus' />
          Configure Form
        </InertiaLink>
      </div>

      <div className='table-panel__table'>
        <table className='table table-striped'>
          <thead>
            <tr>
              <th>#</th>
              <th>Title</th>
              <th>Type</th>
              <th>Actions</th>
            </tr>
          </thead>
          <tbody>
            {forms.map(form => (
              <tr key={form.id}>
                <td>{form.id}</td>
                <td>{form.name}</td>
                <td>{form.type}</td>
                <td>
                  <InertiaLink
                    className='action-button'
                    href={route('eventpal.forms.records.index', form)}
                    title='Manage Records'
                  >
                    <span>
                      <i className='fas fa-bars' />
                    </span>
                  </InertiaLink>

                  <InertiaLink
                    className='action-button'
                    href={route('eventpal.forms.edit', form)}
                    title='Edit notification'
                  >
                    <span>
                      <i className='fas fa-pencil-alt' />
                    </span>
                  </InertiaLink>

                  <InertiaLink
                    className='action-button'
                    href={`/eventpal/forms/${form.id}`} // TODO: Update to form / add in modal
                    title='Delete notification'
                    method='delete'
                  >
                    <span>
                      <i className='far fa-trash-alt' />
                    </span>
                  </InertiaLink>
                </td>
              </tr>
            ))}
            {forms.length === 0 && (
              <tr>
                <td className='no-results' colSpan='4'>
                  No forms found
                </td>
              </tr>
            )}
          </tbody>
        </table>
      </div>
    </div>
  )
}

// eslint-disable-next-line react/display-name
Forms.layout = form => (
  <Layout area='Forms' title='Forms list'>
    {form}
  </Layout>
)

export default Forms
