<?php

namespace Drp\EventPalAdmin\Http\Controllers\Quiz;

use Drp\EventPalAdmin\Http\Controllers\Controller;
use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Models\QuizAnswer;
use Drp\NativeEventApp\Models\QuizResponse;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Redis;
use Illuminate\Support\Facades\Session;

class SyncController extends Controller
{
    public function __invoke(Quiz $quiz): RedirectResponse
    {
        $redis = Redis::connection('eventpal-websocket');

        $users = $redis->keys("quiz_{$quiz->id}_*");

        foreach ($users as $user) {
            $userId = str_replace("quiz_{$quiz->id}_", '', $user);
            $responses = $redis->hgetall($user);

            foreach ($responses as $questionId => $answer) {
                $answerId = QuizAnswer::where('value', $answer)->first()->id;
                QuizResponse::updateOrCreate([
                    'user_id' => $userId,
                    'quiz_question_id' => $questionId,
                    ], [
                    'user_id' => $userId,
                    'quiz_question_id' => $questionId,
                    'quiz_answer_id' => $answerId,
                ]);
            }
        }

        Session::flash('success', 'Quiz Responses Synced');

        return Redirect::route('eventpal.quiz.index');
    }
}
