module.exports = {
  theme: {
    extend: {
      colors: {
        brand: {
          primary: '#0a1747', // dark-indigo
          'primary-dark': '#060f35', // night-blue
          secondary: '#5dc6c3', // greyblue
          'secondary-dark': '#3baf98', // greeny-blue
          overlay: 'rgba(93, 198, 195, 0.1)', // greyblue with 0.1 opacity
          background: '#f4f6f9',
          gray: '#adb5bd',
          'gray-dark': '#343a40',
          border: '#e9eff2',
        },
        fa: {
          gray: '#2b363b',
        },
        status: {
          success: '#5ab355', // dark-pastel-green
          warning: '#ea8b2e', // dull-orange
          danger: '#e6330c', // orangish-red
          info: '#0a1747', // dark-indigo
        },
      },
      borderRadius: {
        default: '4px',
        large: '10px',
        badge: '13.5px',
      },
      boxShadow: {
        primary: '0 10px 40px 0 rgba(0, 0, 0, 0.1)',
        nav: '15px 0 40px -20px rgba(0, 0, 0, 0.5)',
        glow: '0 5px 15px -4px rgba(93, 198, 195, 0.5)',
      },
      fontFamily: {
        primary: 'Baufra, sans-serif',
      },
      padding: {
        '14': '3.5rem',
      },
      height: {
        '24': '6rem',
      },
    },
  },
  variants: {},
  plugins: [],
  prefix: 'tw-',
}
